Skip to main content
GET
/
v2
/
offer
curl -X GET \
  'https://api.appcharge.com/v2/offer?publisherOfferIds=special-offer-1' \
  -H 'Content-Type: application/json' \
  -H 'x-publisher-token: <x-publisher-token>'
{
  "totalCount": 1,
  "offers": [
    {
      "publisherId": "35nb7861ec9924a6b69a0fe59",
      "offerId": "226cff96123a8717",
      "publisherOfferId": "special-offer-1",
      "displayName": "My Special Offer",
      "description": "This is my special offer description.",
      "name": "My Special Offer",
      "type": "SpecialOffer",
      "active": true,
      "segments": [
        "New User"
      ],
      "publisherTabId": "tab-1",
      "offerUi": {
        "offerUiId": "2bc77ff889b",
        "active": true,
        "offerUiType": "SpecialOffer",
        "name": "specialOffer1",
        "description": "description",
        "backgroundImage": "https://media.appcharge.com/media/65cb7182__4dc30c81-e4aa-40e8-9033-84cb05721bd0",
        "borderColor": {
          "colorOne": "#ffffff",
          "colorTwo": "",
          "direction": ""
        },
        "borderWidth": 2,
        "externalId": "specialOffer1"
      },
      "productsSequence": [
        {
          "index": 1,
          "playerAvailability": 12,
          "products": [
            {
              "product": {
                "publisherProductId": "6cb43621ccf1",
                "name": "Coins",
                "textFontColorHex": "#FFFFFF",
                "type": "Quantity",
                "prefix": "",
                "suffix": "",
                "priority": "Sub",
                "images": [
                  {
                    "type": "product",
                    "url": "https://media.appcharge.com/media/45cb7861ec8924a6b69a0f59/download.jpeg"
                  },
                  {
                    "type": "productPrefix",
                    "url": ""
                  }
                ],
                "createdAt": "2024-02-14T10:08:17.061Z",
                "updatedAt": "2024-09-27T13:41:55.775Z",
                "displayName": "coins",
                "productId": "75cc91114cf653a9cc2dce2c"
              },
              "publisherProductId": "6cb43621ccf1",
              "quantity": 1000,
              "priority": "Main"
            }
          ],
          "priceInUsdCents": 980,
          "badges": [],
          "id": "68b4092c7a895e559a3ac8d9"
        }
      ],
      "productSale": {
        "type": "percentage",
        "sale": 100
      },
      "priceDiscount": {
        "type": "percentage",
        "discount": 20
      },
      "offerExternalUiId": "2bc22377ff889cc",
      "badges": [
        {
          "publisherBadgeId": "12ac77ff889b"
        }
      ],
      "createdAt": "2025-04-06T10:00:44.528Z",
      "updatedAt": "2025-04-06T10:00:44.528Z"
    }
  ]
}
curl -X GET \
  'https://api.appcharge.com/v2/offer?publisherOfferIds=special-offer-1' \
  -H 'Content-Type: application/json' \
  -H 'x-publisher-token: <x-publisher-token>'
{
  "totalCount": 1,
  "offers": [
    {
      "publisherId": "35nb7861ec9924a6b69a0fe59",
      "offerId": "226cff96123a8717",
      "publisherOfferId": "special-offer-1",
      "displayName": "My Special Offer",
      "description": "This is my special offer description.",
      "name": "My Special Offer",
      "type": "SpecialOffer",
      "active": true,
      "segments": [
        "New User"
      ],
      "publisherTabId": "tab-1",
      "offerUi": {
        "offerUiId": "2bc77ff889b",
        "active": true,
        "offerUiType": "SpecialOffer",
        "name": "specialOffer1",
        "description": "description",
        "backgroundImage": "https://media.appcharge.com/media/65cb7182__4dc30c81-e4aa-40e8-9033-84cb05721bd0",
        "borderColor": {
          "colorOne": "#ffffff",
          "colorTwo": "",
          "direction": ""
        },
        "borderWidth": 2,
        "externalId": "specialOffer1"
      },
      "productsSequence": [
        {
          "index": 1,
          "playerAvailability": 12,
          "products": [
            {
              "product": {
                "publisherProductId": "6cb43621ccf1",
                "name": "Coins",
                "textFontColorHex": "#FFFFFF",
                "type": "Quantity",
                "prefix": "",
                "suffix": "",
                "priority": "Sub",
                "images": [
                  {
                    "type": "product",
                    "url": "https://media.appcharge.com/media/45cb7861ec8924a6b69a0f59/download.jpeg"
                  },
                  {
                    "type": "productPrefix",
                    "url": ""
                  }
                ],
                "createdAt": "2024-02-14T10:08:17.061Z",
                "updatedAt": "2024-09-27T13:41:55.775Z",
                "displayName": "coins",
                "productId": "75cc91114cf653a9cc2dce2c"
              },
              "publisherProductId": "6cb43621ccf1",
              "quantity": 1000,
              "priority": "Main"
            }
          ],
          "priceInUsdCents": 980,
          "badges": [],
          "id": "68b4092c7a895e559a3ac8d9"
        }
      ],
      "productSale": {
        "type": "percentage",
        "sale": 100
      },
      "priceDiscount": {
        "type": "percentage",
        "discount": 20
      },
      "offerExternalUiId": "2bc22377ff889cc",
      "badges": [
        {
          "publisherBadgeId": "12ac77ff889b"
        }
      ],
      "createdAt": "2025-04-06T10:00:44.528Z",
      "updatedAt": "2025-04-06T10:00:44.528Z"
    }
  ]
}

Headers

x-publisher-token
string
required

The publisher token used for authentication.

Query Parameters

publisherOfferIds
string
required

The unique identifier for the offer. To retrieve multiple special offers, separate them with a comma.

Example:

"special-offer-1,special-offer-2"

Response

Special Offer retrieved successfully.

totalCount
number

Total number of matching offers.

offers
object[]